@charset "utf-8";
@import 'styles.css';
/*test*/
.contact-bg-img::before{
    background-image: url("images/contact-bg.jpg");
}
.text-section1{
    position: relative;
    padding: 3.5em 1em 13.5em;
}
.contact-wrapper{
    max-width: 980px;
    margin: 0 auto;
    position: relative;
    z-index: 4;
}
.text-section1 .text-wrapper{
    z-index: 5;
}
.contact-btns-wrapper{
    background-color: var(--clr-dark-p-bg);
    border-bottom: 1px solid var(--clr-purple);
    display: flex;
    align-items: center;
    height: 12.5em;
    gap: 2.25em;
    padding: 0 2.25em;
    position: relative;
    z-index: 5;
    margin: 5em 0 7em;
}
.contact-btn-wrapper{
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.contact-btn-wrapper p{
    font-weight: var(--fw-title);
    margin-bottom: 1em;
}
.contact-btn{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    align-self: stretch;
    padding: 1.4rem 0;
    font-size: var(--fs-24);
    transition: all 0.09s ease;
}
.contact-btn span{
    margin-left: 14px;
}
.contact-bg-btn{
    background-color: var(--clr-purple-header);
    color: var(--clr-background);
}
#contact-mail-btn{
    color: var(--clr-purple-header);
}
#contact-mail-btn span{
    direction: ltr;
}
.contact-btn:hover{
    outline: 4px solid #fdf6ff40;
}
#o-g-position-contact{
    width: 650px;
    height: 650px;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: 1;
}
#o-g-position-contact1{
    width: 700px;
    height: 700px;
    bottom: -400px;
    right: 250px;
    z-index: -1;
}
#p-g-position-contact{
    width: 1100px;
    height: 1100px;
    bottom: -600px;
    right: 350px;
    z-index: -2;
}

.contact-form-and-boxes-wrapper{
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.contact-form-title {
    font-size: var(--fs-28);
    color: var(--clr-gray-text);
    text-align: center;
    margin-bottom: 2rem;
    font-weight: var(--fw-title);
    line-height: 1.4em;
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
}
.r-contact-form-and-boxes{
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 2;
    grid-row-end: 3;
}
.l-contact-form-and-boxes{
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
    padding-right: 7.5em;
    display: flex;
    flex-direction: column;
}
.contact-link-box{
    background-color: var(--clr-gary-bg);
    height: 138px;
    display: flex;
    position: relative;
    z-index: -3;
    
}
.contact-link-box img{
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: auto;
}
.contact-link-box h3{
    font-size: var(--fs-22);
    line-height: 1.3em;
    margin: auto 0;
}
.contact-box-content{
    position: relative;
    z-index: 5;
    flex: 1;
    display: flex;
    align-items: center;
    padding-right: 2.25em;
}
#o-g-position-box{
    width: 220px;
    height: 220px;
    bottom: -36px;
    left: -36px;
    z-index: -1;
    transition: all 0.3s ease;
}
#o-g-position-box1{
    width: 170px;
    height: 170px;
    bottom: -8px;
    left: -12px;
    z-index: -1;
    transition: all 0.3s ease;
}
#p-g-position-box{
    width: 190px;
    height: 190px;
    bottom: -20px;
    left: 20px;
    z-index: -2;
}
#contact-get-tips{
    margin-bottom: 2.25em;
}
.contact-links{
    display: flex;
    align-items: center;
    text-decoration: none;
    justify-content: flex-end;
    color: var(--clr-text);
    font-size: var(--fs-22);
    line-height: 1em;
    transition: all 0.3s ease;
}
.contact-links:hover{
    color: var(--clr-gray-text);
}
.contact-links:hover svg path{
    fill: var(--clr-gray-text);
}
#contact-robotic-btn{
    margin: auto 0 16px;
}
.contact-links span{
    margin-left: 14px;
}
#contact-form .floating-input-popup:focus ~ label{
    background-color: var(--clr-background);
}
.l-contact-form-and-boxes a{
    text-decoration: none;
}
.l-contact-form-and-boxes a:hover .o-gradient{
    transform: scale(1.3);
}

/*term-of-use*/

.terms-bg-img::before{
    background-image: url("images/terms-bg.jpg");
}

@media (max-width:1440px){
    .contact-link-box{
        height: 124px;
    }
}

@media (max-width:1024px){
    .text-section1{
        padding: 3.5em 2em 9em;
    }
    #o-g-position-contact{
        width: 490px;
        height: 490px;
    }
    #o-g-position-contact1{
        width: 550px;
        height: 550px;
        bottom: -300px;
        right: 80px;
    }
    #p-g-position-contact{
        width: 850px;
        height: 850px;
        bottom: -500px;
        right: 0px;
    }
}

@media (max-width:760px){
    .text-section1{
        padding: 3.5em 2em 6em;
    }
    .contact-btns-wrapper{
        flex-wrap: wrap;
        height: auto;
        padding: 2em 3em;
        margin: 3em 0;
    }
    .contact-btn-wrapper{
        flex: 1 0 100%;
    }
    .contact-btn-wrapper p{
        margin-bottom: 0.5em;
    }
    .contact-form-and-boxes-wrapper{
        grid-template-columns: 1fr;
    }
    .contact-form-title {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 2;
    }
    .r-contact-form-and-boxes{
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 2;
        grid-row-end: 3;
    }
    .l-contact-form-and-boxes{
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 3;
        grid-row-end: 4;
    }
    .l-contact-form-and-boxes{
        padding: 4em 0 0;
    }
    .contact-links{
        justify-content: center;
    }
    #contact-robotic-btn{
        margin: 24px 0 16px;
    }
}